Bug 432621 (CVE-2008-0063) - CVE-2008-0063 krb5: possible leak of sensitive data from krb5kdc using krb4 request
Summary: CVE-2008-0063 krb5: possible leak of sensitive data from krb5kdc using krb4 r...
Status: CLOSED ERRATA
Alias: CVE-2008-0063
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=upstream,reported=20080212,pub...
Keywords: Security
Depends On: 434923 434924 435881 435882 435883 435884 435885 438022 438023
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-13 13:26 UTC by Tomas Hoger
Modified: 2010-02-24 05:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-31 09:40:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0164 normal SHIPPED_LIVE Critical: krb5 security and bugfix update 2008-03-18 19:26:13 UTC
Red Hat Product Errata RHSA-2008:0180 normal SHIPPED_LIVE Critical: krb5 security update 2008-03-18 18:47:13 UTC
Red Hat Product Errata RHSA-2008:0181 normal SHIPPED_LIVE Critical: krb5 security update 2008-03-18 19:19:33 UTC
Red Hat Product Errata RHSA-2008:0182 normal SHIPPED_LIVE Critical: krb5 security update 2008-03-18 19:22:41 UTC

Description Tomas Hoger 2008-02-13 13:26:34 UTC
MIT Kerberos Team reported following issue affecting MIT Kerberos 5 KDC with
Kerberos 4 support enabled:

CVE-2008-0063: The incoming krb4 message is copied into a fixed-size
buffer on the stack, but the remainder of the buffer is left
untouched, and the bounds checks use the size of the buffer, not the
size of the data copied into it.

Acknowledgements:

Red Hat would like to thank MIT for reporting this issue.

Comment 3 Tomas Hoger 2008-02-13 14:01:00 UTC
See bug bug #432620 for patch.

Comment 4 Tomas Hoger 2008-02-15 14:07:01 UTC
This issue affects krb5 packages as shipped in Red Hat Enterprise Linux 2.1, 3,
4 and 5 and current versions of Fedora.  Support for Kerberos v4 is not assumed
by default by krb5kdc on Red Hat Enterprise Linux 5 and Fedora, however default
configuration in kdc.conf enables this support explicitly (in nopreauth mode,
which is assumed and configured as default on Red Hat Enterprise Linux 2.1, 3
and 4).

Possible workaround -- disable v4 support if it's not needed -- in kdc.conf, set
v4_mode to none.

Comment 10 Tomas Hoger 2008-03-18 18:18:34 UTC
Public now:

  http://web.mit.edu/kerberos/advisories/MITKRB5-SA-2008-001.txt

Lifting embargo.

Comment 12 Fedora Update System 2008-03-18 18:49:48 UTC
krb5-1.6.1-9.fc7 has been submitted as an update for Fedora 7

Comment 13 Fedora Update System 2008-03-18 18:50:42 UTC
krb5-1.6.2-14.fc8 has been submitted as an update for Fedora 8

Comment 14 Fedora Update System 2008-03-21 22:17:08 UTC
krb5-1.6.1-9.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2008-03-21 22:20:11 UTC
krb5-1.6.2-14.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.